Bug 124095 - Unable to cancel an action once picked up
Unable to cancel an action once picked up
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Maintenance (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris MacLeod
Fanny Augustin
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-05-23 21:22 EDT by William Denniss
Modified: 2007-04-18 13:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-24 11:08:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description William Denniss 2004-05-23 21:22:35 EDT
We have an action which has been picked up by the server but which we
want to cancel.  I am unable to cancel this action though the web
site, so rhn_check will try to update it each time.

This is a problem as we can't download an 80MB open office update
(which we don't need to begin with) on our dial up internet line but
do want the more critical updates.

I contacted Red Hat support and they indicated that once picked up
there was no way to cancel, hence this bug report.


Comment 1 William Denniss 2004-05-23 21:26:26 EDT
I managed to cancel this action when running rhn_check multiple times
and exiting.

Message returned: Client execution returned "This action has been
picked up multiple times without a successful transaction; this action
is now failed for this system." (code )

At least I know the workaround - but I still think a cleaner way would
be nice.


Comment 2 Greg DeKoenigsberg 2004-05-24 11:08:47 EDT
The fix for this is pretty tricky, and given some of the other bugs
we've got to fix, we won't be getting to this one anytime soon.  Will
consider this issue during our next client refactoring.

Sorry about that; thanks for reporting it.

Note You need to log in before you can comment on or make changes to this bug.